<?php

/**
 * Gym Training Center functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package Gym Training Center
 */

define( 'GYM_TRAINING_CENTER_URL', trailingslashit( get_template_directory_uri() ) );

if ( ! function_exists( 'gym_training_center_setup' ) ) {

	load_theme_textdomain( 'gym-training-center', get_template_directory() . '/languages' );

	/**
	 * Sets up theme defaults and registers support for various WordPress features.
	 *
	 * Note that this function is hooked into the after_setup_theme hook, which
	 * runs before the init hook. The init hook is too late for some features, such
	 * as indicating support for post thumbnails.
	 *
	 * @since 1.0.0
	 *
	 * @return void
	 */
	function gym_training_center_setup() {

		// Add theme support
		add_theme_support( 'automatic-feed-links' );
		add_theme_support( 'wp-block-styles' );
		add_theme_support( 'title-tag' );
		add_theme_support( 'post-thumbnails' );
		add_theme_support( 'editor-styles' );
		add_theme_support( 'html5', array( 'comment-form', 'comment-list' ) );
		add_theme_support( 'responsive-embeds' );
		add_theme_support( 'customize-selective-refresh-widgets' );

		require get_template_directory() .'/inc/core/main.php';
	}
}
add_action( 'after_setup_theme', 'gym_training_center_setup' );

/**
 * Enqueue scripts and styles
 */
function gym_training_center_scripts() {
	$version = wp_get_theme( 'gym-training-center' )->get( 'Version' );
	// Stylesheet
	wp_enqueue_style( 'gym-training-center-styles', get_theme_file_uri( '/style.css' ), array(), $version );
	wp_enqueue_style( 'animate', get_template_directory_uri() . '/assets/css/animate.css', array(), $version, 'all' );

	wp_enqueue_style( 'owl.carousel-css', get_template_directory_uri() . '/assets/css/owl.carousel.css');

	if ( file_exists( get_template_directory() . '/assets/css/theme-style.css' ) ) {
		wp_enqueue_style( 'gym-training-center-theme-style', get_template_directory_uri() . '/assets/css/theme-style.css',  array(), $version );
	}

	$deps = array( 'gym-training-center-animate' );
	global $wp_styles;
	if ( in_array( 'wc-blocks-vendors-style', $wp_styles->queue ) ) {
		$deps[] = 'wc-blocks-vendors-style';
	}

	if ( is_rtl() ) {
    	wp_enqueue_style( 'rtl-css', get_template_directory_uri() . '/assets/css/rtl.css', array( 'gym-training-center-styles' ), $version );
	}

	wp_enqueue_style( 'fontawesome-style', esc_url(get_template_directory_uri()).'/assets/fontawesome/css/all.css' );

	wp_enqueue_script( 'gym-training-center-theme', get_template_directory_uri() . '/assets/js/theme.js', array( 'jquery' ), '', true );

	// Scripts
	$deps = array( 'jquery' );
	wp_enqueue_script( 'animate', get_template_directory_uri() . '/assets/js/animate.js', $deps, $version );

	wp_enqueue_script('owl.carousel-js', get_template_directory_uri() . '/assets/js/owl.carousel.js', array('jquery'), '', true );

}
add_action( 'wp_enqueue_scripts', 'gym_training_center_scripts' );

/**
 * Add editor styles
 */
function gym_training_center_editor_style() {
    wp_enqueue_style( 'gym-training-center-editor-style', get_template_directory_uri() . '/assets/css/editor-style.css' );
}
add_action( 'enqueue_block_assets', 'gym_training_center_editor_style' );

function gym_training_center_enqueue_admin_script($hook) {
    // Enqueue admin JS for notices
    wp_enqueue_script('gym-training-center-welcome-notice', get_template_directory_uri() . '/inc/core/gym-training-center-welcome-notice.js', array('jquery'), '', true);
    
    // Localize script to pass data to JavaScript
    wp_localize_script('gym-training-center-welcome-notice', 'gym_training_center_localize', array(
        'ajax_url' => admin_url('admin-ajax.php'),
        'nonce' => wp_create_nonce('gym_training_center_welcome_nonce'),
        'dismiss_nonce' => wp_create_nonce('gym_training_center_welcome_nonce'), // Nonce for dismissal
        'redirect_url' => admin_url('themes.php?page=gym-training-center-guide-page')
    ));
}
add_action('admin_enqueue_scripts', 'gym_training_center_enqueue_admin_script');

/**
 * Enqueue assets scripts for both backend and frontend
 */
function gym_training_center_block_assets()
{
    wp_enqueue_style( 'gym-training-center-blocks-style', get_template_directory_uri() . '/assets/css/blocks.css' );
}
add_action( 'enqueue_block_assets', 'gym_training_center_block_assets' );

/**
 * Load core file
 */
require get_theme_file_path( '/inc/core/init.php' );

/**
 * Getstart
 */

require get_template_directory() .'/inc/core/customizer-notice/gym-training-center-customizer-notify.php';

load_template( trailingslashit( get_template_directory() ) . '/inc/core/class-upgrade-pro.php' );